Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2188867 - Review Request: icedtea-web - Open Source implementation of JSR-56 better known as Java Web Start
Summary: Review Request: icedtea-web - Open Source implementation of JSR-56 better kno...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neil Hanlon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Unretirement
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-04-23 00:42 UTC by Robert Scheck
Modified: 2023-06-24 01:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-24 01:20:51 UTC
Type: ---
Embargoed:
neil: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2023-04-23 00:42:45 UTC
Spec URL: https://labs.linuxnetz.de/bugzilla/icedtea-web.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/icedtea-web-1.8.8-1.src.rpm
Description: The IcedTea-Web project provides a free software implementation of Java Web Start, originally based on the NetX, project. IcedTea's NetX currently supports verification of signed jars, trusted certificate storing, system certificate store checking, and provides the services specified by the jnlp API. In addition it also provides a full desktop integration, an offline run, many extended security features, an own policy editor and much more.
Fedora Account System Username: robert

Note: As of writing this package is only intended for EPEL 9.

Comment 1 Robert Scheck 2023-04-23 01:23:36 UTC
Note for myself: https://salsa.debian.org/java-team/icedtea-web/-/commit/184c05ab121ad4f71a1ad7bd1d1de4fbc62cd2d0 could lead to Java 17 support (not really relevant for EL9 yet, but helps maybe for IcedTea-Web at Fedora).

Comment 3 Robert Scheck 2023-04-23 14:51:03 UTC
Java 17 is already part since RHEL 9.0, but the default version is still Java 10 (and I can not see any change in your mentioned link).

Comment 4 Robert Scheck 2023-04-23 14:51:41 UTC
s/Java 10/Java 11/g - sorry, typo.

Comment 5 vendors 2023-05-12 15:17:10 UTC
> Note: As of writing this package is only intended for EPEL 9.

It would be incredibly useful to have this available in Fedora as well.  Can you work to make it available in Fedora?

Comment 6 Neil Hanlon 2023-05-26 04:19:42 UTC
Thank you for your patience with my reviewing this package. All looks good to me!

The below review is against fedora-rawhide, but I also validated this against EPEL9, as per the original ticket.

With respect to Knownhost's comments, I would be willing to help comaintain this package in epel and fedora with you, rsc, as it is useful to me as well on Fedora and ELs.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  NOTE: re-review for orphaned package


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on javapackages-tools
     (jpackage-utils)
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: javapackages-tools
     (jpackage-utils)
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: POM files have correct Maven mapping
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in icedtea-
     web-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: %check is present and all tests pass.
     NOTE: checks against built software not performed in check, but during build. 
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Packages are noarch unless they use JNI
     Note: icedtea-web subpackage is not noarch. Please verify manually
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1781760 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: icedtea-web-1.8.8-1.fc39.x86_64.rpm
          icedtea-web-javadoc-1.8.8-1.fc39.noarch.rpm
          icedtea-web-devel-1.8.8-1.fc39.noarch.rpm
          icedtea-web-1.8.8-1.fc39.src.rpm
================================================================================= rpmlint session starts =================================================================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/neil/tmpw9fwuqgn')]
checks: 31, packages: 4

icedtea-web.x86_64: W: unstripped-binary-or-object /usr/bin/itweb-settings.itweb
icedtea-web.x86_64: W: unstripped-binary-or-object /usr/bin/javaws.itweb
icedtea-web.x86_64: W: unstripped-binary-or-object /usr/bin/policyeditor.itweb
icedtea-web-javadoc.noarch: W: package-with-huge-docs 100%
icedtea-web.x86_64: W: non-executable-in-bin /usr/bin/itweb-settings 644
icedtea-web.x86_64: W: non-executable-in-bin /usr/bin/javaws 644
icedtea-web.x86_64: W: non-executable-in-bin /usr/bin/policyeditor 644
icedtea-web.x86_64: W: no-manual-page-for-binary itweb-settings.itweb
icedtea-web.x86_64: W: no-manual-page-for-binary itweb-settings.itweb.sh
icedtea-web.x86_64: W: no-manual-page-for-binary javaws.itweb
icedtea-web.x86_64: W: no-manual-page-for-binary javaws.itweb.sh
icedtea-web.x86_64: W: no-manual-page-for-binary policyeditor.itweb
icedtea-web.x86_64: W: no-manual-page-for-binary policyeditor.itweb.sh
icedtea-web-devel.noarch: W: no-documentation
icedtea-web-javadoc.noarch: W: file-not-utf8 /usr/share/javadoc/icedtea-web/netx/member-search-index.zip
icedtea-web-javadoc.noarch: W: file-not-utf8 /usr/share/javadoc/icedtea-web/netx/package-search-index.zip
icedtea-web-javadoc.noarch: W: file-not-utf8 /usr/share/javadoc/icedtea-web/netx/type-search-index.zip
================================================= 4 packages and 0 specfiles checked; 0 errors, 17 warnings, 0 badness; has taken 1.3 s ==================================================




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/AdoptOpenJDK/IcedTea-Web/archive/icedtea-web-1.8.8/icedtea-web-1.8.8.tar.gz :
  CHECKSUM(SHA256) this package     : f4203a605a3c9c50acdcc6eef4a366b9fdd36d95edcd76bcbfede01107cb5fe6
  CHECKSUM(SHA256) upstream package : f4203a605a3c9c50acdcc6eef4a366b9fdd36d95edcd76bcbfede01107cb5fe6


Requires
--------
icedtea-web (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/bash
    /usr/sbin/alternatives
    GConf2
    config(icedtea-web)
    java-11-openjdk
    javapackages-tools
    ld-linux-x86-64.so.2()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3)(64bit)
    libgcc_s.so.1(GCC_4.2.0)(64bit)
    rtld(GNU_HASH)
    tagsoup

icedtea-web-javadoc (rpmlib, GLIBC filtered):
    icedtea-web
    javapackages-filesystem

icedtea-web-devel (rpmlib, GLIBC filtered):
    icedtea-web



Provides
--------
icedtea-web:
    application()
    application(itweb-settings.desktop)
    application(javaws.desktop)
    application(policyeditor.desktop)
    config(icedtea-web)
    icedtea-web
    icedtea-web(x86-64)
    javaws
    javaws(x86-64)
    metainfo()
    metainfo(icedtea-web-javaws.metainfo.xml)
    metainfo(icedtea-web.metainfo.xml)
    mimehandler(application/x-java-jnlp-file)
    mimehandler(x-scheme-handler/jnlp)
    mimehandler(x-scheme-handler/jnlps)

icedtea-web-javadoc:
    icedtea-web-javadoc

icedtea-web-devel:
    icedtea-web-devel



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/bin/fedora-review -b 2188867
Buildroot used: fedora-rawhide-x86_64
Active plugins: Java, Generic, Shell-api
Disabled plugins: Haskell, Perl, SugarActivity, R, fonts, C/C++, Python, Ocaml, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 7 Robert Scheck 2023-05-26 07:34:22 UTC
Thank you very much for the review!

I also will maintain it for Fedora - and thank you for volunteering as co-maintainer. For the unretirement, I've filed https://pagure.io/releng/issue/11440 now.

Comment 8 Fedora Update System 2023-06-15 20:01:37 UTC
FEDORA-2023-4730d42867 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-4730d42867

Comment 9 Fedora Update System 2023-06-15 20:01:38 UTC
FEDORA-2023-249574eb93 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-249574eb93

Comment 10 Fedora Update System 2023-06-15 20:01:39 UTC
FEDORA-EPEL-2023-9f5f9ff4e0 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-9f5f9ff4e0

Comment 11 Fedora Update System 2023-06-16 02:32:05 UTC
FEDORA-EPEL-2023-9f5f9ff4e0 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-9f5f9ff4e0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-06-16 03:20:24 UTC
FEDORA-2023-249574eb93 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-249574eb93 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-249574eb93

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-06-16 04:34:53 UTC
FEDORA-2023-4730d42867 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-4730d42867 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-4730d42867

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-06-24 01:20:51 UTC
FEDORA-2023-249574eb93 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-06-24 01:21:14 UTC
FEDORA-2023-4730d42867 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2023-06-24 01:44:16 UTC
FEDORA-EPEL-2023-9f5f9ff4e0 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.